Imports System.Security.Principal

Public Class ADUser
    Public GUID As Guid
    Public SId As SecurityIdentifier
    Public samAccountName As String
    Public Surname As String
    Public GivenName As String
    Public Middlename As String
    Public Email As String

    Public CustomAttributes As List(Of CustomAttribute)

    Public Overrides Function Equals(obj As Object) As Boolean
        Return DirectCast(obj, ADUser).samAccountName
    End Function
    Public Overrides Function ToString() As String
        Return samAccountName
    End Function

    Public Class CustomAttribute
        Public Name As String
        Public Value As Object
        Public MSSQLColumn As String
        Public FirebirdSyskey As String
    End Class
End Class
